> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeroclick.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List seller custom domains



## OpenAPI

````yaml https://api.zeroclick.io/openapi.json get /v1/sellers/{sellerId}/domains
openapi: 3.0.0
info:
  title: ZeroClick API
  description: >-
    REST API for managing ZeroClick sellers, services, pricing, usage, and
    analytics. Authenticate with an API key from the ZeroClick dashboard.
  version: 1.0.0
servers:
  - url: https://api.zeroclick.io
security:
  - bearerAuth: []
tags:
  - name: API keys
  - name: Sellers
  - name: Services
  - name: Meters
  - name: Plans
  - name: Plan meter prices
  - name: Usage
  - name: Analytics
  - name: Stripe Connect
  - name: Sandbox
  - name: Organizations
  - name: Users
paths:
  /v1/sellers/{sellerId}/domains:
    get:
      tags:
        - Sellers
      summary: List seller custom domains
      parameters:
        - schema:
            type: string
            minLength: 1
          in: path
          name: sellerId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  domains:
                    type: array
                    items:
                      type: object
                      properties:
                        domain:
                          type: object
                          properties:
                            id:
                              type: string
                            domain:
                              type: string
                            status:
                              type: string
                              enum:
                                - pending
                                - verifying
                                - active
                                - failed
                            verifiedAt:
                              nullable: true
                              type: string
                          required:
                            - id
                            - domain
                            - status
                            - verifiedAt
                          additionalProperties: false
                        instructions:
                          type: object
                          properties:
                            cname:
                              type: object
                              properties:
                                name:
                                  type: string
                                type:
                                  type: string
                                  enum:
                                    - CNAME
                                target:
                                  type: string
                              required:
                                - name
                                - type
                                - target
                              additionalProperties: false
                          required:
                            - cname
                          additionalProperties: false
                      required:
                        - domain
                        - instructions
                      additionalProperties: false
                required:
                  - domains
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - seller_not_found
                      - seller_domain_not_found
                      - duplicate_domain
                      - domain_limit_reached
                      - invalid_domain
                      - custom_domains_not_configured
                required:
                  - error
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - seller_not_found
                      - seller_domain_not_found
                      - duplicate_domain
                      - domain_limit_reached
                      - invalid_domain
                      - custom_domains_not_configured
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - seller_not_found
                      - seller_domain_not_found
                      - duplicate_domain
                      - domain_limit_reached
                      - invalid_domain
                      - custom_domains_not_configured
                required:
                  - error
                additionalProperties: false
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - seller_not_found
                      - seller_domain_not_found
                      - duplicate_domain
                      - domain_limit_reached
                      - invalid_domain
                      - custom_domains_not_configured
                required:
                  - error
                additionalProperties: false
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - organization_required
                      - seller_not_found
                      - seller_domain_not_found
                      - duplicate_domain
                      - domain_limit_reached
                      - invalid_domain
                      - custom_domains_not_configured
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key created in the ZeroClick dashboard under Settings → API keys.
        Keys start with `zc_`. Send them as `Authorization: Bearer zc_...`.

````